Bug 267671 - Designing a form does not permit color specifications
Summary: Designing a form does not permit color specifications
Status: CLOSED FIXED
Alias: None
Product: KEXI
Classification: Applications
Component: Forms (show other bugs)
Version: 2.2.0 (KOffice 2.2.0)
Platform: OpenSUSE All
: NOR normal (vote)
Target Milestone: ---
Assignee: Jarosław Staniek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-05 01:33 UTC by S. Vetter
Modified: 2011-03-22 22:26 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description S. Vetter 2011-03-05 01:33:08 UTC
Version:           2.3.1 (KOffice 2.3.1) (using KDE 4.6.1) 
OS:                Linux

When designing a form there is no way to specify background colors, text colors, etc.  The background is a gray color and the text is black.  No way to change any of it.

Reproducible: Always

Steps to Reproduce:
Create a form or try changing an existing one and go to modify the attributes and there is no way to change colors.


Expected Results:  
Expect to see options to change color.

In the properties hav one or more options to set the color.
Comment 1 Jarosław Staniek 2011-03-05 10:11:14 UTC
OK, valid even for 2.2.0.
Comment 2 Jarosław Staniek 2011-03-09 14:17:24 UTC
Git commit 426dfa5f9dca27fc93818dbd5a5cc148e491ff27 by Jaroslaw Staniek.
Committed on 09/03/2011 at 14:10.
Pushed by staniek into branch 'master'.

Forms: re-add foreground and background color properties for widgets

Undo/redo works too.

BUG:267671

M  +12   -9    kexi/doc/dev/CHANGELOG-Kexi-js     
M  +41   -2    kexi/formeditor/form.cpp     
M  +57   -22   kexi/formeditor/formIO.cpp     

http://commits.kde.org/calligra/426dfa5f9dca27fc93818dbd5a5cc148e491ff27
Comment 3 Jarosław Staniek 2011-03-09 14:39:49 UTC
SVN commit 1224248 by staniek:

Forms
*re-add foreground and background color properties for widgets; undo/redo works too
CCBUG:267671

(backported to 2.3.x)



 M  +14 -8     doc/dev/CHANGELOG-Kexi-js  
 M  +40 -1     formeditor/form.cpp  
 M  +51 -16    formeditor/formIO.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1224248
Comment 4 Jarosław Staniek 2011-03-09 21:11:19 UTC
Git commit 97fa68c81cf7db73b24f352e8c08077a37d13bcd by Jaroslaw Staniek.
Committed on 09/03/2011 at 14:10.
Pushed by staniek into branch 'tools-koabstraction_refactoring1-staniek'.

Forms: re-add foreground and background color properties for widgets

Undo/redo works too.

BUG:267671

M  +12   -9    kexi/doc/dev/CHANGELOG-Kexi-js     
M  +41   -2    kexi/formeditor/form.cpp     
M  +57   -22   kexi/formeditor/formIO.cpp     

http://commits.kde.org/calligra/97fa68c81cf7db73b24f352e8c08077a37d13bcd